Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.security.token
Class JobTokenSelector

    java.lang.Object
      org.apache.hadoop.mapreduce.security.token.JobTokenSelector

All Implemented Interfaces:
  TokenSelector<JobTokenIdentifier>

    public class JobTokenSelector

extends Object
implements TokenSelector<JobTokenIdentifier>

Look through tokens to find the first job token that matches the service and return it.

Constructor Summary
`JobTokenSelector()`

Method Summary
`Token<JobTokenIdentifier>` | `selectToken(Text service, Collection<Token<? extends TokenIdentifier>> tokens)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTokenSelector

    public JobTokenSelector()

Method Detail

### selectToken

    public Token<JobTokenIdentifier> selectToken(Text service,
                                                 Collection<Token<? extends TokenIdentifier>> tokens)

  Specified by:
    `selectToken` in interface `TokenSelector<JobTokenIdentifier>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation